require('lfs')

local function norm(f1, f2)
    local f = io.open(f1)
    local a = f:read('*a')
    f:close()
    
    a = a:gsub(',', '.')
    
    local o = io.open(f2, 'w')
    o:write(a)
    o:close()
end

local function conv(dir, f)
	local inp = string.format('%s/%s', dir, f)
	local out = string.format('%s/zz_%s.txt', dir, f:sub(1, -5) )
    local tmp = '__tmp'
    norm(inp, tmp)
	local cmd = string.format( 'csv2vec < %s > %s', tmp, out)
	print('->', cmd)
	os.execute(cmd)
    os.remove(tmp)
end

local function conv_all(dir)
	for f in lfs.dir(dir) do
		if f:match('csv') and not f:match('.-nalisador.-') then
			conv(dir, f)
		end
	end
end

for f in lfs.dir('.') do
	if f:sub(1,1) ~= '.' then
		if lfs.attributes(f, 'mode') == 'directory' then
			conv_all(f)
		end
	end
end
